<!doctype html>
<html lang="en">

<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link rel="icon" href="data:image/svg+xml,<svg xmlns=%22http://www.w3.org/2000/svg%22 viewBox=%220 0 100 100%22><text y=%22.9em%22 font-size=%2290%22>🛰</text></svg>">
    <title>MIPAS - Data</title>
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.2.0-beta1/dist/css/bootstrap.min.css" rel="stylesheet"
        integrity="sha384-0evHe/X+R7YkIZDRvuzKMRqM+OrBnVFBL6DOitfPri4tjfHxaWutUpFmBp4vmVor" crossorigin="anonymous">

    <style>
        .bd-placeholder-img {
            font-size: 1.125rem;
            text-anchor: middle;
            -webkit-user-select: none;
            -moz-user-select: none;
            user-select: none;
        }

        @media (min-width: 768px) {
            .bd-placeholder-img-lg {
                font-size: 3.5rem;
            }
        }

        .b-example-divider {
            height: 3rem;
            background-color: rgba(0, 0, 0, .1);
            border: solid rgba(0, 0, 0, .15);
            border-width: 1px 0;
            box-shadow: inset 0 .5em 1.5em rgba(0, 0, 0, .1), inset 0 .125em .5em rgba(0, 0, 0, .15);
        }

        .b-example-vr {
            flex-shrink: 0;
            width: 1.5rem;
            height: 100vh;
        }

        .bi {
            vertical-align: -.125em;
            fill: currentColor;
        }

        .nav-scroller {
            position: relative;
            z-index: 2;
            height: 2.75rem;
            overflow-y: hidden;
        }

        .nav-scroller .nav {
            display: flex;
            flex-wrap: nowrap;
            padding-bottom: 1rem;
            margin-top: -1px;
            overflow-x: auto;
            text-align: center;
            white-space: nowrap;
            -webkit-overflow-scrolling: touch;
        }

        .icon-list li::before {
            display: block;
            flex-shrink: 0;
            width: 1.5em;
            height: 1.5em;
            margin-right: .5rem;
            content: "";
            background: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' fill='%23212529' viewBox='0 0 16 16'%3E%3Cpath d='M8 0a8 8 0 1 1 0 16A8 8 0 0 1 8 0zM4.5 7.5a.5.5 0 0 0 0 1h5.793l-2.147 2.146a.5.5 0 0 0 .708.708l3-3a.5.5 0 0 0 0-.708l-3-3a.5.5 0 1 0-.708.708L10.293 7.5H4.5z'/%3E%3C/svg%3E") no-repeat center center / 100% auto;
        }

        .loader {
            display: none;
            position: absolute;
            border: 16px solid #f3f3f3;
            border-radius: 50%;
            border-top: 16px solid #3498db;
            top: 0;
            bottom: 0;
            left: 0;
            right: 0;

            margin: auto;
            width: 120px;
            height: 120px;
            -webkit-animation: spin 2s linear infinite;
            /* Safari */
            animation: spin 2s linear infinite;
        }

        /* Safari */
        @-webkit-keyframes spin {
            0% {
                -webkit-transform: rotate(0deg);
            }

            100% {
                -webkit-transform: rotate(360deg);
            }
        }

        @keyframes spin {
            0% {
                transform: rotate(0deg);
            }

            100% {
                transform: rotate(360deg);
            }
        }
    </style>

</head>

<body>
    <div id="loader" class="loader"></div>
    <div id="main" class="col-lg-8 mx-auto p-3 py-md-5">
        <header class="d-flex align-items-center pb-3 mb-5 border-bottom">
            <h1>MIPAS Data</h1>
            <img src="https://upload.wikimedia.org/wikipedia/commons/thumb/3/3a/Logo_KIT.svg/320px-Logo_KIT.svg.png"
                style="margin-left: auto; width: 20%;" />
        </header>

        <main>

            <h3>Search</h3>

            <hr class="col-3 col-md-2 mb-5">

            <form id="search" class="col-6" action="search" method="post">

                <div class="row g-3">
                    <!-- <div class="col">
                        <label for="data_type" class="form-label">Data type</label>
                        <select name="data_type" class="form-select" id="data_type">
                            <option value="nc">netCDF</option>
                            <option value="gz">ascii</option>
                        </select>
                    </div> -->
                    <div class="col">
                        <label for="year" class="form-label">Year</label>
                        <select name="year" class="form-select" id="year">
                            <option disabled selected value>select...</option>
                            <option value=2002>2002</option>
                            <option value=2003>2003</option>
                            <option value=2004>2004</option>
                            <option value=2005>2005</option>
                            <option value=2006>2006</option>
                            <option value=2007>2007</option>
                            <option value=2008>2008</option>
                            <option value=2009>2009</option>
                            <option value=2010>2010</option>
                            <option value=2011>2011</option>
                            <option value=2012>2012</option>
                        </select>
                    </div>
                    <div class="col">
                        <label for="month" class="form-label">Month</label>
                        <select name="month" class="form-select" id="month">
                            <option disabled selected value>select...</option>
                            <option value=1>January</option>
                            <option value=2>February</option>
                            <option value=3>March</option>
                            <option value=4>April</option>
                            <option value=5>May</option>
                            <option value=6>June</option>
                            <option value=7>July</option>
                            <option value=8>August</option>
                            <option value=9>September</option>
                            <option value=10>October</option>
                            <option value=11>November</option>
                            <option value=12>December</option>
                        </select>
                    </div>
                    <!-- <div class="col">
                        <label for="day" class="form-label">Day</label>
                        <select name="day" class="form-select" id="day">
                            <option disabled selected value>select...</option>
                            <option value=1>1</option>
                            <option value=2>2</option>
                            <option value=3>3</option>
                            <option value=4>4</option>
                            <option value=5>5</option>
                            <option value=6>6</option>
                            <option value=7>7</option>
                            <option value=8>8</option>
                            <option value=9>9</option>
                            <option value=10>10</option>
                            <option value=11>11</option>
                            <option value=12>12</option>
                            <option value=13>13</option>
                            <option value=14>14</option>
                            <option value=15>15</option>
                            <option value=16>16</option>
                            <option value=17>17</option>
                            <option value=18>18</option>
                            <option value=19>19</option>
                            <option value=20>20</option>
                            <option value=21>21</option>
                            <option value=22>22</option>
                            <option value=23>23</option>
                            <option value=24>24</option>
                            <option value=25>25</option>
                            <option value=26>26</option>
                            <option value=27>27</option>
                            <option value=28>28</option>
                            <option value=29>29</option>
                            <option value=30>30</option>
                            <option value=31>31</option>
                        </select>
                    </div> -->
                </div>
                <div class="row g-3">
                    <div class="col">
                        <label for="gas" class="form-label">Gas</label>
                        <select name="gas" class="form-select" id="gas">
                            <option disabled selected value>select...</option>
                            <option value="C2H2">C2H2</option>
                            <option value="C2H6">C2H6</option>
                            <option value="CCL4">CCl4</option>
                            <option value="CH4">CH4</option>
                            <option value="CLO">CLO</option>
                            <option value="CLONO2">ClONO2</option>
                            <option value="CO">CO</option>
                            <option value="CO2">CO2</option>
                            <option value="COCL2">COCl2</option>
                            <option value="COF2">COF2</option>
                            <option value="F-11">CFC-11</option>
                            <option value="F-12">CFC-12</option>
                            <option value="F-22">HCFC-22</option>
                            <option value="H2CO">H2CO</option>
                            <option value="H2O">H2O</option>
                            <option value="HCN">HCN</option>
                            <option value="HCOOH">HCOOH</option>
                            <option value="HNO3">HNO3</option>
                            <option value="HNO4">HNO4</option>
                            <option value="HOCL">HOCl</option>
                            <option value="N2O">N2O</option>
                            <option value="N2O5">N2O5</option>
                            <option value="NO">NO</option>
                            <option value="NOwT">NO from T+NO</option>
                            <option value="NO2">NO2</option>
                            <option value="O3">O3</option>
                            <option value="OCS">OCS</option>
                            <option value="PAN">PAN</option>
                            <option value="SF6">SF6</option>
                            <option value="SO2">SO2</option>
                            <option value="T">Temperature</option>
                            <option value="TwNO">Temp. from T+NO</option>
                        </select>
                    </div>
                    <div class="col">
                        <label for="spectra_version" class="form-label" data-bs-toggle="tooltip" data-bs-html="true"
                            title="The current (13-Oct-2021) versions in the database are:

V5H --- high spectral resolution offline product, processed with IPF/5.0 and later,
V5R --- reduced spectral resolution offline product, processed with IPF/5.0 and later
V8H --- high spectral resolution offline product, processed with MICAL/08.03
V8R --- reduced spectral resolution offline product, processed with MICAL/08.03">Spectra
                            version &#9432;</label>
                        <select name="spectra_version" class="form-select" id="spectra_version">
                            <option disabled selected value>select...</option>
                            <option value="V5H">V5 high spectral resolution (2002-2004)</option>
                            <option value="V5R">V5 reduced spectral resolution (2005-2012)</option>
                            <option value="V8H">V8 high spectral resolution (2002-2004)</option>
                            <option value="V8R">V8 reduced spectral resolution (2005-2012)</option>
                        </select>
                    </div>
                    <div class="col">
                        <label for="baseline_version" class="form-label">Baseline version</label>
                        <select name="baseline_version" class="form-select" id="baseline_version">
                            <option disabled selected value>select...</option>
                            <option value="20">20</option>
                            <option value="21">21</option>
                            <option value="22">22</option>
                            <option value="40">40</option>
                            <option value="61">61</option>
                            <option value="62">62</option>
                            <option value="120">120</option>
                            <option value="220">220</option>
                            <option value="221">221</option>
                            <option value="222">222</option>
                            <option value="223">223</option>
                            <option value="224">224</option>
                            <option value="225">225</option>
                            <option value="240">240</option>
                            <option value="261">261</option>
                            <option value="262">262</option>
                            <option value="520">520</option>
                            <option value="521">521</option>
                            <option value="522">522</option>
                            <option value="561">561</option>
                            <option value="562">562</option>
                            <option value="621">621</option>
                            <option value="622">622</option>
                            <option value="661">661</option>
                            <option value="662">662</option>
                            <option value="720">720</option>
                            <option value="721">721</option>
                            <option value="722">722</option>
                        </select>
                    </div>
                </div>
                <p class="col-3 col-md-2 mb-5"></p>

                <button name="submit" type="submit" class="btn btn-primary" value="search">Search</button>
                <button name="reset" type="reset" class="btn btn-secondary">Reset</button>
            </form>

        </main>
        <footer class="pt-5 my-5 text-muted border-top">
            IMK-ASF &middot; KIT &copy; 2023
        </footer>
    </div>
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.2.0-beta1/dist/js/bootstrap.bundle.min.js"
        integrity="sha384-pprn3073KE6tl6bjs2QrFaJGz5/SUsLqktiwsUTF55Jfv3qYSDhgCecCxMW52nD2"
        crossorigin="anonymous"></script>
    <script src="https://code.jquery.com/jquery-3.6.1.min.js"
        integrity="sha256-o88AwQnZB+VDvE9tvIXrMQaPlFFSUTR+nldQm1LuPXQ=" crossorigin="anonymous"></script>
    <script>
        $("#search").submit(function (event) {
            document.getElementById("loader").style.display = "block";
            document.getElementById("main").style.display = "none";
            // event.preventDefault();
        });

        window.addEventListener("pageshow", function (event) {
            var historyTraversal = event.persisted ||
                (typeof window.performance != "undefined" &&
                    window.performance.navigation.type === 2);
            if (historyTraversal) {
                // Handle page restore.
                window.location.reload();
            }
        });
    </script>
</body>

</html>